
# ZephyrClient

## Description

Convenient Zephyr client library to manage Zephyr Cycles.


# References
1. https://github.com/sumoheavy/jira-ruby
1. https://docs.ruby-lang.org/en/2.3.0/Net/HTTP.html#class-Net::HTTP-label-GET
1. http://www.rubyinside.com/nethttp-cheat-sheet-2940.html
1. http://zetcode.com/web/rubyhttpclient/
1. http://www.rubydoc.info/gems/zephyr/1.2.1/Zephyr
1. https://stackoverflow.com/questions/9680227/curl-task-with-ruby-nethttp
1. https://stackoverflow.com/questions/5244887/eoferror-end-of-file-reached-issue-with-nethttp
1. HTTP Party
   * https://stackoverflow.com/questions/2024805/ruby-send-json-request

# Zephyr 
## Examples
1. http://jira.concur.com/jira/rest/api/2/search
1. http://jira.concur.com/jira/rest/zapi/latest/cycle?projectId=12610&projectKey=CORUI
1. http://jira.concur.com/jira/rest/zapi/latest/execution?projectId=12610&cycleId=541

# Run Tests
```
rspec spec

```